REST API — for integrators
If you use the Studio UI, you can skip this page. The Studio already calls these APIs for you.
Base path: /api/v1. Header: Authorization: Bearer <token>. Interactive list: /docs.

Typical user sequence
- Obtain an integration token from your PowerMind administrator and select Authorize.
POST /create-rags— new repository.POST /upload-documents— files into that repo (db_path).POST /chat—{ "query": "...", "db_path": "..." }.GET /chat/history— past messages.
Groups
| Area | Paths |
|---|---|
| Auth | /auth/register, /login, /logout, /me, /change-password, /reset-password/{username} |
| RAG | /create-rags, /rags, /rags/{rag_uuid} |
| Files | /upload, /upload-documents, /documents, /documents/{id} |
| Chat | /chat, /chat/history |
| Resources | /rag-resources, /rag-resources/{rag_uuid} |
| Users (admin) | /users, /users/{user_uuid} |
| Admin | /admin/config, /admin/stats |
| Audit / billing | /audit/logs, /billing/usage, /billing/summary |
| Health | /health |
Locks on Swagger rows mean you must Authorize first.